<html>
<head>
<title>Ogre::RenderablePass Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderablePass Struct Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderablePass" -->
<p>Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  
 <a href="structOgre_1_1RenderablePass.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RenderablePass-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#aced02c6752335dbd5bd4ff1681c35882">RenderablePass</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#a88788b24efb00ee4d9cf8c4b75cf06ee">renderable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> details.  <a href="#a88788b24efb00ee4d9cf8c4b75cf06ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html#aec7289b1a870e7c39d83b5d422792990">pass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>.  <a href="#aec7289b1a870e7c39d83b5d422792990"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. </p>
<p>This is used to for objects sorted by depth and thus not grouped by pass. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00051">51</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aced02c6752335dbd5bd4ff1681c35882"></a><!-- doxytag: member="Ogre::RenderablePass::RenderablePass" ref="aced02c6752335dbd5bd4ff1681c35882" args="(Renderable *rend, Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1RenderablePass.html#aced02c6752335dbd5bd4ff1681c35882">Ogre::RenderablePass::RenderablePass</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00058">58</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aec7289b1a870e7c39d83b5d422792990"></a><!-- doxytag: member="Ogre::RenderablePass::pass" ref="aec7289b1a870e7c39d83b5d422792990" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1RenderablePass.html#aec7289b1a870e7c39d83b5d422792990">Ogre::RenderablePass::pass</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to the <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00056">56</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00166">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00204">Ogre::QueuedRenderableCollection::RadixSortFunctorPass::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="a88788b24efb00ee4d9cf8c4b75cf06ee"></a><!-- doxytag: member="Ogre::RenderablePass::renderable" ref="a88788b24efb00ee4d9cf8c4b75cf06ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="structOgre_1_1RenderablePass.html#a88788b24efb00ee4d9cf8c4b75cf06ee">Ogre::RenderablePass::renderable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> details. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00054">54</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00166">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00223">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator()()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
